select
   nt.dtentradasaida as data_compra
  , mov.dtcompensacao as data_compensacao
  , nt.numdocumento as numero_nota
  , (select count(*) from movimento re where re.cdnota = nt.cdnota) as total_parcelas
  , pr.nome as produto 
  , cl.descricao as categoria_produto
  , cc.descricao as conta_gerencial
  , pes.nome as fornecedor
  , ni.qtde as quantidade
  , (ni.vrtotal / ni.qtde) as valor_unitario
  , ni.vrtotal as valor_total
  , nt.cdnota as referencia_despesa
from
  nota nt
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join pessoa pes on pes.cdpessoa = nt.cdpessoa
  left join classificacao cl on cl.cdclassificacao = pr.cdclassificacao
  left join contagerencial cc on cc.cdcontagerencial = ni.cdcontagerencial
  left join movimento mov on mov.cdnota = nt.cdnota
where 
   nt.tiponota = 'E'
   and cl.estrutura like '4%'
   and nt.tipofiscal <> 'P'
   and nt.cdnota not in (select re.cdnotavinculada from nota re where re.cdnotavinculada is not null)
   
  
